<bugID>1003931<Summary>Right click option on bookmark menu not behaving properly</Summary><Description>User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:29.0) Gecko/20100101 Firefox/29.0 (Beta/Release)
Build ID: 20140427195542

Steps to reproduce:

Click the bookmark list icon, the drop down appears.

Now right click on any of the bookmark and try to choose any option in the right click menu.


Actual results:

Right click menu on book mark list doesn't behave properly, 
The menu appears but when hovered over right click menu the "hover style that is the color change that informs its hovered" keeps on blinking


Expected results:

The right click menu should work as the right click menu works in other places.

Taking a screen shot wasn't possible, so took a photo of the screen.</Description></bugID>